@-webkit-keyframes h2{
	0%{left:0}to{left:-247vw}
	}
@keyframes h2{
	0%{left:0}
	to{left:-247vw}}

html, body {
  margin: 0;padding:0;
  font-family: ui-monospace, SFMono-Regular, Menlo, Consolas, monospace;
  overflow:hidden;
}

.whole{
    overflow:hidden;
}

.gallery-container img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

.gallery-container {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
  height: 80vh; /* Было 90vh — теперь высота меньше */
  width: 80vw;  /* Было 75vw — теперь контейнер уже */
  overflow: hidden;
}		


.gallery {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100%;
  float:left;
}

.gallery img, video {a
  height: 100%;
  opacity: 1;
  float:left;
}


.parallax {
  position: relative;
  overflow-y: scroll;
  overflow-x: hidden;
  height: 100%;
  margin-top:5vw;
  float:left;
}


.parallax img {
  display: inline-block;
  height: 55vw;
  position:relative;
  width:100%;
  object-fit: cover;
} 


.caption {
  position: fixed;
  top:6.5vh;
  right: 1px;	
  display:flex;
  justify-content: space-around;
  align-items: right;
  font-size:1.35vw;
  letter-spacing:0.5vw;
  color: #0129FA;
  opacity: 0; /* Начальная прозрачность подписей */
  text-align: right; 
  z-index:4;

}


.image-container:hover .caption {
  opacity: 1;
}



.left-div, .right-div{
	position:absolute;
	z-index:3;	
	height:5vw;
	width:100vw;
}
.left-side{
	margin-left:-90vw;
	margin-top:90vw;
	position:relative;
	transform: rotate(-90deg);
	font-size:1.35vw;
	letter-spacing:0.5vw;
}
.right-side{
	margin-left:43vw;
	position:relative;
	transform: rotate(-270deg);
	font-size:1.35vw;
	letter-spacing:0.5vw;
	height:100%;
	width:100%;
}
.left-side a{
	text-decoration: none;
	color:#1746d6;
}
.right-side a{
	text-decoration: none;
	color:#1746d6;
}


.idea_text {
  position: absolute;
  top: 4vh;
  left: 20%;
  transform: translateX(-50%);
  font-size:1.35vw;
  letter-spacing:0.5vw;
  opacity: 0.2;
  color:#1746d6;
}
/* WebKit стили */
::-webkit-scrollbar {
    width: 0.01vw; /* Ширина полосы прокрутки */
}

::-webkit-scrollbar-thumb {
    background-color: #0129FA; /* Цвет полосы прокрутки */
    border-radius: 0.1vw; /* Закругленные углы полосы прокрутки */
}

::-webkit-scrollbar-track {
    background-color: #92A3FC; /* Цвет фона полосы прокрутки */
}

::-webkit-scrollbar-thumb:hover {
    background-color: #92A3FC; /* Измененный цвет при наведении */
}

/* Mozilla Firefox стили */
/* стиль полосы прокрутки */
*::-webkit-scrollbar-thumb {
  background-color: #1746d6;
}

/* стиль фона полосы прокрутки */
*::-webkit-scrollbar-track {
  background-color: #92A3FC;
}

/* стиль полосы прокрутки при наведении курсора */
*::-webkit-scrollbar-thumb:hover {
  background-color: #92A3FC;
}



.grid-gallery-container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: none;
  width: 75vw; /* Максимальная ширина блока (то же, что и у gallery-container) */
  height: 80vh; /* Максимальная высота блока (то же, что и у gallery-container) */
  overflow: auto; /* Добавляем прокрутку, если содержимое превышает размеры блока */
  
}


.grid-gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 колонки */
  gap: 0px; /* Расстояние между изображениями */
  column-gap: 10px;
  max-width: 100%; /* Максимальная ширина блока */
  margin: 0 auto;

}

.scroll-container {
  overflow-y: auto;
  max-height: 80vh; /* Установите максимальную высоту для контейнера */
}

.grid-image-container {
  position: relative;
  overflow: hidden;
  background-color: #f0f0f0;
  object-fit: cover;
  height:50%;
}

.grid-column {
  flex: 1;
  max-width: calc(100% - 0.1vw);
  overflow-y: scroll;
  /* Уберите max-height: 36vw; */
}
.grid-image-container  img, video {
  width: 100%;
  height: 100%; /* Делаем изображение занимающим 100% высоты родителя */
  object-fit: cover; /* Растягиваем изображение, чтобы оно полностью заполнило родителя */
}


.grid-image-container .caption {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  padding: 1%;
  margin: 0;
  font-size: 14px;
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s;
}

.grid-image-container:hover .caption {
  opacity: 1;
}
.button-container{
	position:absolute;
	left:0;
	bottom:0;
	width:100%;
	height:5vw;
display: flex;
  justify-content: center; /* Выравниваем содержимое по центру */
  align-items: center; /* Выравниваем содержимое по центру */  
}

.list-view-button{
	height:3.5vh;
	width:4vw;
	background-size: contain;
    background-image: url('list.png');
	box-shadow: none !important;
	border: none;
}

.grid-view-button {
    height:3.5vh;
	width:4vw;
	background-size: contain;
    background-image: url('grid.png');
	box-shadow: none !important;
	border: none;
}

@media (max-width:899px){
    .gallery-container{ 
        height:60vh;
    }
    .grid-gallery-container{
        height:50vh;
    }

    .caption{
        margin-top:-5vh;
    }
}

@media (orientation:portrait){
        .list-view-button, .grid-view-button{
        height:2vh;
        width:9vw;
        margin-bottom:5vh;
    }
    .right-div{
        width:200vw;
    }
    .right-side{
        margin-top:50vh;
        margin-left:-7vw;
    }
}

@-webkit-keyframes pacman{
0% {
                offset-distance: 0;
            }
            100% {
                offset-distance: 100%;
            }
}
#openModal{
	position:absolute;
	z-index:10;
	margin-top:25%;
	left:0;
	height:3vw;
	width:3vw;
	animation-name: pacman;
    offset-path: path('M 0,20 H 1700  M 320 200 V -700 M 30 -250 V 1000 z');
	animation-iteration-count: infinite;
	animation-duration: 60s;
	animation-timing-function: linear;
	overflow-x: hidden;
}

.modal {
  display: none;
  position: fixed;
  z-index: 10;
  left: 15%;
  top: 0;
  width: 70%;
  height: 70%;
  overflow: hidden;
  background-color: rgba(0, 0, 0, 0.4);
}
	@media (max-width:1199px){
	    .modal{
        float:left;
        left:0;
        width:100%;
        height:90%
    }
		}
				@media (max-width:899px){
				    .modal{
        float:left;
        left:0;
        width:100%;
        height:90%;
    }
				}

			    @media (orientation:portrait){
    .modal{
        float:left;
        left:0;
        width:100%;
        height:50%;
    }

    iframe {
    width: 1024px;
    transform: scale(.5);
    transform-origin: 0 0;
    margin-left:-20%;
}

}

.floating-button {
    position: fixed;
    left: 0;
    top:2vw; 
    transform: translateY(0); 
    background-color: blue;
    color: white;
    border: none;
    padding: 1vw 1vw;
    text-align: center;
    text-decoration: none;
	border-top-right-radius: 1vw; /* Скругление справа сверху */
    border-bottom-right-radius: 1vw; /* Скругление справа снизу */
    z-index: 1000;
    writing-mode: vertical-rl; /* Вертикальное написание текста */
    display: flex;
    align-items: center;
    justify-content: center;
    width: 0.7vw; 
}

.floating-button span {
    display: block;
    transform: rotate(180deg); /* Поворот текста, чтобы он был читаем сверху вниз */
}

@media (max-width: 600px) {
    .floating-button {
        width: 5vw;; 
        padding: 1vw; 
		top:9vw;
		
    }

    .floating-button span {
        font-size: 3vw; /* Уменьшите размер шрифта на мобильных устройствах */
    }
}